{
  "name": "react",
  "private": true,
  "version": "1.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "pnpm lint && tsc -b && vite build --emptyOutDir",
    "lint": "eslint . --ext ts,tsx --report-unused-disable-directives --max-warnings 0",
    "preview": "vite preview"
  },
  "dependencies": {
    "@emotion/react": "^11.13.0",
    "@emotion/styled": "^11.13.0",
    "@fontsource/roboto": "^5.0.13",
    "@mui/icons-material": "^5.16.4",
    "@mui/material": "^5.16.4",
    "@tanstack/react-form": "^0.26.4",
    "@tanstack/react-query": "^5.51.11",
    "@tanstack/react-router": "^1.45.8",
    "i18next": "^23.12.2",
    "i18next-browser-languagedetector": "^8.0.0",
    "i18next-http-backend": "^2.5.2",
    "react": "^18.3.1",
    "react-dom": "^18.3.1",
    "react-i18next": "^15.0.0",
    "zustand": "^4.5.4"
  },
  "devDependencies": {
    "@redux-devtools/extension": "^3.3.0",
    "@tanstack/eslint-plugin-query": "^5.51.12",
    "@tanstack/react-query-devtools": "^5.51.11",
    "@tanstack/router-devtools": "^1.45.8",
    "@tanstack/router-plugin": "^1.45.8",
    "@types/node": "^20.14.12",
    "@types/react": "^18.3.3",
    "@types/react-dom": "^18.3.0",
    "@typescript-eslint/eslint-plugin": "^7.15.0",
    "@typescript-eslint/parser": "^7.15.0",
    "@vitejs/plugin-react": "^4.3.1",
    "eslint": "^8.57.0",
    "eslint-plugin-react-hooks": "^4.6.2",
    "eslint-plugin-react-refresh": "^0.4.7",
    "prettier": "^3.2.5",
    "prettier-plugin-organize-imports": "^3.2.4",
    "rollup-plugin-visualizer": "^5.0.0",
    "typescript": "^5.2.2",
    "vite": "^5.3.4"
  }
}
